﻿@using Jumbula.Common.Constants
@model SportsClub.Models.Email.EmailReservationInstallmentModel

@{
    Layout = null;
}

@if (Model.ItemIsReservation && Model.ItemsAmountNow.Any()) { 
<table class="row"
       style="margin-top: 3px;border-collapse:collapse;border-spacing:0;display:table;padding:0;position:relative;text-align:left;vertical-align:top;width:100%;">
    <tbody>
        <tr style="padding:0;text-align:left;vertical-align:top">
            <th class="small-12 large-12 columns first last" valign="center"
                style="Margin:0 auto;color:#0a0a0a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';font-size:16px;font-weight:400;line-height:1.3;margin:0 auto;padding:0;padding-bottom:6px;padding-left:16px;padding-right:16px;text-align:left;max-width:628px">

                <p style="font-size: 14px; margin: 0; margin-right: 0px; margin-left: 0px; margin-bottom: 6px; margin-top: 6px; color: #28292a; font-weight: 600; padding: 0; text-align: left; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; border-bottom: 1px solid #ccc;">Amount due now</p>
                <table style="border-collapse: collapse; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; width: 100%; margin: 0; border-color: #ccc; border: none;">
                    <tr style="background-color: #878787; color: #fff;">
                        <td style="font-size: 13px;border: 1px solid #ccc;font-weight: 600; letter-spacing: 0.7px; padding: 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';width:35%;">
                            <h3 style="letter-spacing: 0.7px;white-space: nowrap;font-size: 13px; line-height: 1.3em;color: #f5f5f5;text-align: left!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0;">
                                Participant
                            </h3>
                        </td>
                        <td style="font-size: 13px;border: 1px solid #ccc; font-weight: 600; letter-spacing: 0.7px; padding: 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';width:65%">
                            <h3 style="letter-spacing: 0.7px;white-space: nowrap;font-size: 13px; line-height: 1.3em;color: #f5f5f5;text-align: left!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                Program
                            </h3>

                        </td>
                        <td style="font-size: 13px;border: 1px solid #ccc; font-weight: 600; letter-spacing: 0.7px; padding: 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';width:65%">
                            <h3 style="letter-spacing: 0.7px;white-space: nowrap;font-size: 13px; line-height: 1.3em;color: #f5f5f5;text-align: right!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                Amount
                            </h3>

                        </td>
                    </tr>

                @foreach (var item in Model.ItemsAmountNow)
                {
                    <tr>
                        <td style="font-size: 12px; font-weight: 600;vertical-align: top; letter-spacing: 0.7px;border: 1px solid #ccc;padding: 8px 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';text-align: center;width:35%;">
                            <strong>@item.ParticipantName</strong>
                        </td>
                        <td style="font-size: 12px; font-weight: 600;vertical-align: top; letter-spacing: 0.7px;border: 1px solid #ccc;padding: 8px 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';text-align: left;width:35%;">
                            <strong>@item.ProgramName</strong>
                            
                            @if (!string.IsNullOrEmpty(item.ProgramDate))
                            {
                                <br />
                                <strong>@item.ProgramDate</strong>
                            }
                            
                        </td>
                        <td style="font-size: 12px; font-weight: 600;vertical-align: top; letter-spacing: 0.7px;border: 1px solid #ccc;padding: 8px 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';text-align: right;width:35%;">
                            <strong>@item.Amount</strong>
                        </td>

                    </tr>
                }
                    <tr style="background-color: #878787;">
                        <td style="font-size: 12px;font-weight: 400;border:none; letter-spacing: 0.7px; padding: 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';text-align: center"></td>
                  
                        <td valign="center"
                            style="vertical-align:middle; border:none; color:#000;">
                            <h3 style="letter-spacing: 0.7px;white-space: nowrap; font-size: 14px; line-height: 1.3em; color: #fefefe; text-align: right!important; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; padding: 4px 5px;padding-right:12px; margin: 0;">
                                Total
                            </h3>
                        </td>

                        <td valign="center"
                            style="border: none;vertical-align: middle;width: 30%;">
                            <h3 style="white-space: nowrap; font-size: 14px;text-align: right !important; line-height: 1.3em; color: #fefefe; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; padding: 4px 5px; margin: 0;">
                                @Model.TotalPaidAmount
                            </h3>
                        </td>
                
                    </tr>
                </table>

            </th>
        </tr>
    </tbody>
</table>
}
@if (!Model.HaveItemsCustomPrompt)
{

<table class="row"
       style="margin-top: 3px;border-collapse:collapse;border-spacing:0;display:table;padding:0;position:relative;text-align:left;vertical-align:top;width:100%">
    <tbody>
        <tr style="padding:0;text-align:left;vertical-align:top">
            <th class="small-12 large-12 columns first last" valign="center"
                style="Margin:0 auto;color:#0a0a0a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';font-size:16px;font-weight:400;line-height:1.3;margin:0 auto;padding:0;padding-bottom:6px;padding-left:16px;padding-right:16px;text-align:left;width:564px">

                <p style="font-size: 14px; margin: 0; margin-right: 0px; margin-left: 0px; margin-bottom: 6px; margin-top: 6px; color: #28292a; font-weight: 600; padding: 0; text-align: left; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; border-bottom: 1px solid #ccc;">Installment due dates</p>
                <table style="width: 628px;width:100%;">
                    <tr>
                        <td align="right">

                            <table style="border-radius: 3px 3px 0 0;border-collapse: collapse;margin: 0;width: 230px;float: right">
                                <tbody>
                                    <tr style="background-color: #878787;">
                                      
                                        <th valign="center"
                                            style="border: 1px solid #ccc;vertical-align: middle;width: 30%;">
                                            <h3 style="letter-spacing: 0.7px;white-space: nowrap;font-size: 13px; line-height: 1.3em;color: #fff;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                                Due date
                                            </h3>
                                        </th>
                                        <th valign="center"
                                            style="vertical-align: middle; border: 1px solid #ccc; color: #000; width: 30%;">
                                            <h3 style="letter-spacing: 0.7px;white-space: nowrap;font-size: 13px; line-height: 1.3em;color: #fff;text-align: right!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                                Amount
                                            </h3>
                                        </th>

                                    </tr>
                                    @foreach (var item in Model.Items)
                                    {
                                        <tr style="background-color: rgba(255,255,255,.11);">
                                           
                                            
                                            <th valign="center"
                                                style="border: 1px solid #ccc;vertical-align: middle;width: 30%;">
                                                <h3 style="white-space: nowrap;font-size: 12px; line-height: 1.3em;color: #878787;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                                    @item.DateTime.ToString(Jumbula.Common.Constants.Constants.DefaultDateFormat) @(!string.IsNullOrEmpty(item.Description) ? string.Format("({0})", item.Description) : string.Empty)
                                                </h3>
                                            </th>

                                            <th valign="center"
                                                style="vertical-align:middle; border: 1px solid #ccc; color: #000; width: 30%;">
                                                <h3 style="font-size: 12px; line-height: 1.3em;color: #878787;text-align: right!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                                    @Html.FormatCurrencyWithPenny(item.Amount)
                                                </h3>
                                            </th>

                                        </tr>

                                    }
                                </tbody>
                            </table>
                        </td>
                    </tr>
                </table>
            </th>
        </tr>
    </tbody>
</table>

}
